Horde3D

Next-Generation Graphics Engine
It is currently 21.09.2018, 15:07

All times are UTC + 1 hour




Post new topic Reply to topic  [ 2 posts ] 
Author Message
PostPosted: 23.11.2009, 08:34 
Offline

Joined: 23.10.2009, 19:35
Posts: 23
I'm using VC Express Edition at home, and tried to compile HordeEditor with it... I got an error in HordeSceneEditor.rc in the include "afxres.h" statement (couldn't be found).
As I read some info about this topic on the web this file seems to belong to MFC which is not shipped with Express Edition.
People suggested to replace afxres.h with windows.h instead... I did this (replaced 2 occurences in the file) and it worked for me.
Maybe this can be fixed in the SVN so people using Express Edition also can compile HordeEditor?


Top
 Profile  
Reply with quote  
PostPosted: 23.11.2009, 09:42 
Offline
Tool Developer

Joined: 13.11.2007, 11:07
Posts: 1149
Location: Germany
Thanks for the hint. I haven't used the Express Edition so far, that's why I didn't come across this error yet. The .rc file was only added for the application icon in the explorer. Normally the code that add's the afxres.h is generated by VS itself, so if someone edits the .rc file VS will overwrite it again with afxres.h
But if you don't care about the icon in the explorer, you can remove the whole .rc thing completly.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group